<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-MODAL-FORM">
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 400px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="content">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitCategory;</script>
		<input type="hidden" name="categoryId">
			<xsl:attribute name="value">
				<xsl:value-of select="@CATEGORY-ID"/>
			</xsl:attribute>
		</input>
		
		<table cellpadding="0" cellspacing="0" border="0" class="control-title-input">
			<tr>
				<td class="title-block">
					<xsl:apply-templates select="CONTROL" mode="label">
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
				<td class="input-block">
					<xsl:apply-templates select="CONTROL" mode="control">
						<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
						<xsl:with-param name="require">true</xsl:with-param>
					</xsl:apply-templates>
				</td>
			</tr>
		</table>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<xsl:call-template name="LABEL" mode="label">
			<xsl:with-param name="title" select="/SITEBUILDER-PAGE/LOCALE/CATEGORY-DESCRIPTION-TITLE"/>
		</xsl:call-template><br/>
		<xsl:apply-templates select="WYSIWYG"/>
		
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

</xsl:stylesheet>