<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="FORUM-MODAL-FORM">
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="initAfterBody">
		<xsl:call-template name="MODAL-FORM">
			<xsl:with-param name="formName">modalForm</xsl:with-param>
			<xsl:with-param name="formTitle" select="/SITEBUILDER-PAGE/LOCALE/FORM-TITLE"/>
			<xsl:with-param name="additionalFormStyle">width: 650px; height: 320px;</xsl:with-param>
			<xsl:with-param name="content" select="current()" />
			<xsl:with-param name="onCloseAction">sbNavigationObject.go();</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="FORUM-MODAL-FORM" mode="content">
		<script type="text/javascript" src="/modules/Forum/js/Edit.js?{$version}.{$build}"></script>
		<script type="text/javascript">document.forms.SB_WizardForm.submit=ForumSubmitMessage;</script>
		<input type="hidden" name="topicId">
			<xsl:attribute name="value">
				<xsl:value-of select="@TOPIC-ID"/>
			</xsl:attribute>
		</input>
		<input type="hidden" name="messageId">
			<xsl:attribute name="value">
				<xsl:value-of select="@MESSAGE-ID"/>
			</xsl:attribute>
		</input>
		<xsl:apply-templates select="CONTROL" mode="label">
				<xsl:with-param name="require">true</xsl:with-param>
		</xsl:apply-templates><br/>
		<xsl:apply-templates select="CONTROL" mode="control">
				<xsl:with-param name="onchange">sbApplyChangesObject.registerChange();</xsl:with-param>
				<xsl:with-param name="require">true</xsl:with-param>
		</xsl:apply-templates>
		
		<div style="width: 0; height: 5px;"><span></span></div>
		
		<table border="0" style="width:100%;" class="sb-page">
			<tr>
				<td>
					<span>
						<xsl:value-of select="/SITEBUILDER-PAGE/LOCALE/COMMENT"/>
					</span>
					<br/>
					<xsl:apply-templates select="WYSIWYG"/>
				</td>
			</tr>
		</table>
		<xsl:call-template name="MODULE-MODAL-FORM-OK-CANCEL-BUTTONS"/>
	</xsl:template>

</xsl:stylesheet>